import request from '@/utils/request'

// 人员库->查询列表
export function listAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/personnel/getList',
        method: 'GET',
        params
    })
}

/* 人员库->新增人员库 */
export function addDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/personnel/addData',
        method: 'POST',
        data
    })
}

/* 人员库->修改人员库 */
export function editDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/personnel/editData',
        method: 'POST',
        data
    })
}

/* 人员库->删除人员库 */
export function delDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/personnel/delData',
        method: 'POST',
        data
    })
}

/* 人员库->查询详情 */
export function getDetailDataAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/personnel/getDetailData',
        method: 'GET',
        params
    })
}